# std::_Maybe_unary_or_binary_function< _Res, _T1 > Struct Template Reference

Derives from `unary_function`, as appropriate. More...

Inheritance diagram for std::_Maybe_unary_or_binary_function< _Res, _T1 >:

List of all members.

## Public Types

- typedef _T1 argument_type
- typedef _Res result_type

## Detailed Description

### template<typename _Res, typename _T1>
struct std::_Maybe_unary_or_binary_function< _Res, _T1 >

Derives from `unary_function`, as appropriate.

Definition at line 513 of file tr1_impl/functional.

## Member Typedef Documentation

typedef _T1 std::unary_function< _T1 , _Res >::argument_type `[inherited]`

`argument_type` is the type of the argument (no surprises here)

Definition at line 102 of file stl_function.h.

typedef _Res std::unary_function< _T1 , _Res >::result_type `[inherited]`

`result_type` is the return type

Definition at line 105 of file stl_function.h.

The documentation for this struct was generated from the following file:

- tr1_impl/functional